<template>
  <div
    class="
      w-full
      lg:w-3/5
      text-tertiary
      bg-primary
      border-lg border-secondary
      px-5
      py-3
      text-left
      sm:order-3
      lg:order-2
      lg:m-4
    "
  >
    <h1 class="text-4xl text-center">{{ $t("experience.title") }}</h1>

    <experience
      v-for="(exp, index) in $t('experience.list')"
      :key="exp"
      :name="exp"
    >
      <slot v-if="index !== $t('experience.list').length - 1">
        <hr class="rounded-2xl border-2 border-tertiary" />
      </slot>
    </experience>
  </div>
</template>

<script>
import Experience from "./Experience.vue";

export default {
  name: "experience-list",
  props: {
    msg: String,
  },
  components: {
    Experience,
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
